## org.apache.lucene.analysis.core
Class TypeTokenFilterFactory

    java.lang.Object
      org.apache.lucene.analysis.util.AbstractAnalysisFactory
          org.apache.lucene.analysis.util.TokenFilterFactory
              org.apache.lucene.analysis.core.TypeTokenFilterFactory

All Implemented Interfaces:
  ResourceLoaderAware

    public class TypeTokenFilterFactory

extends TokenFilterFactory
implements ResourceLoaderAware

Factory class for `TypeTokenFilter`.

     <fieldType name="chars" class="solr.TextField" positionIncrementGap="100">
       <analyzer>
         <tokenizer class="solr.StandardTokenizerFactory"/>
         <filter class="solr.TypeTokenFilterFactory" types="stoptypes.txt"
                       enablePositionIncrements="true" useWhitelist="false"/>
       </analyzer>
     </fieldType>

Field Summary

Fields inherited from class org.apache.lucene.analysis.util.AbstractAnalysisFactory
`LUCENE_MATCH_VERSION_PARAM, luceneMatchVersion`

Constructor Summary
`TypeTokenFilterFactory(Map<String,String> args)` Creates a new TypeTokenFilterFactory

Method Summary
`TokenStream` `create(TokenStream input)` Transform the specified input TokenStream
`Set<String>` `getStopTypes()`
`void` `inform(ResourceLoader loader)` Initializes this component with the provided ResourceLoader (used for loading classes, files, etc).
`boolean` `isEnablePositionIncrements()`

Methods inherited from class org.apache.lucene.analysis.util.TokenFilterFactory
`availableTokenFilters, forName, lookupClass, reloadTokenFilters`

Methods inherited from class org.apache.lucene.analysis.util.AbstractAnalysisFactory
`assureMatchVersion, get, get, get, get, get, getBoolean, getChar, getClassArg, getFloat, getInt, getLines, getLuceneMatchVersion, getOriginalArgs, getPattern, getSet, getSnowballWordSet, getWordSet, isExplicitLuceneMatchVersion, require, require, require, requireBoolean, requireChar, requireFloat, requireInt, setExplicitLuceneMatchVersion, splitFileNames`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TypeTokenFilterFactory

    public TypeTokenFilterFactory(Map<String,String> args)

  Creates a new TypeTokenFilterFactory

Method Detail

### inform

    public void inform(ResourceLoader loader)
                throws IOException

  Description copied from interface: `ResourceLoaderAware`
  Initializes this component with the provided ResourceLoader (used for loading classes, files, etc).

  Specified by:
    `inform` in interface `ResourceLoaderAware`
  Throws:
    `IOException`

### isEnablePositionIncrements

    public boolean isEnablePositionIncrements()

### getStopTypes

    public Set<String> getStopTypes()

### create

    public TokenStream create(TokenStream input)

  Description copied from class: `TokenFilterFactory`
  Transform the specified input TokenStream

  Specified by:
    `create` in class `TokenFilterFactory`

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.